package main

import (
	"git.icechen.cn/monorepo/backend/pkg/third_party"

	"git.icechen.cn/monorepo/backend/app/zeus/api/lark/internal/user"
	"github.com/gofiber/fiber/v2"
	ctxLogger "github.com/luizsuper/ctxLoggers"
)

func main() {
	router := fiber.New(fiber.Config{
		AppName:      "api-lark",
		ErrorHandler: third_party.FiberErrHandler,
	})
	router.Use(third_party.FibberRespHandler)

	userRouter := router.Group("/user")
	userRouter.Post("/login", user.LoginHandle)

	err := router.Listen(":8080")
	if err != nil {
		ctxLogger.Error(nil, err.Error())
	}
}
